# "Calamity Cobra in "A Sweet Surprise"

![1](/screenshots/1.png)

![2](/screenshots/2.png)

![3](/screenshots/3.png)

![4](/screenshots/4.png)

My entry for the 2022 WeightGaming Gain Jam. A top down arcade shooter with some fetishy elements.

## Build

### Dependencies

	- SDL2
	- SDL_image
	- SDL_mixer
	- SDL_ttf
	- emscripten (Web only)

### Linux

This repository uses CMake to compile, so:

`mkdir build`

`cd build`

`cmake ..`

`make`

### Windows

I used MinGW for the Windows build, so basically the same as Linux but you'll need to use MSYS, MinGW, etc. to compile it. 

### Web (Emscripten)

Make sure you have Emscripten all configured with all the needed ports (see above).

Then:

`mkdir build`

`cd build`

`emcmake cmake ..`

`emmake make`

Make sure you've got the resources folder and that it's placed in the same directory as the executable. You can get that [here](https://shweetz.net/files/games/calamity-cobra-resources-1.2.7z).
