/*
 * DESCRIPTION:
 * Circle code.
*/

#include "circle.h"

/* Are two circles colliding? */
bool_u8
circle_collide(Circle* _a, Circle* _b)
{
        f64 sum;
        f64 distance;

        distance = math_distance
        (
                _a->x,
                _a->y,
                _b->x,
                _b->y
        );

        sum = _a->r + _b->r;

        if (distance < sum)
                return TRUE;
        return FALSE;
}
