#pragma once

#include <SDL2/SDL.h>

#include "../COMMON.h"

#define EVENT_MAX 2

typedef enum EventType
{
        EVENT_NONE,
        EVENT_QUIT
} EventType;

typedef struct Event
{
        bool_u8 curr[EVENT_MAX];
        bool_u8 prev[EVENT_MAX];
} Event;

void event_update(Event* _e);
bool_u8 event_press(Event* _e, EventType _t);
bool_u8 event_held(Event* _e, EventType _t);
bool_u8 event_release(Event* _e, EventType _t);
