#include "sound.h"

/* Initializes a sound from a given filepath. */
void
sound_init(Mix_Chunk** _x, char* _path)
{
	*_x = Mix_LoadWAV(_path);
}

/* Frees a given sound. */
void
sound_free(Mix_Chunk* _x)
{
	Mix_FreeChunk(_x);
}

/* Plays a given sound, with its channel specified. */
void
sound_play(Mix_Chunk* _x, s32 _channel)
{
	Mix_PlayChannel(_channel, _x, 0);
}
