/*
 * DESCRIPTION:
 * Game's strings, in English.
*/

#pragma once

#define STRING_WINDOW_TITLE "Calamity Cobra in \"A Sweet Surprise\""

#define STRING_PLAY_WAVE "Wave "
#define STRING_PLAY_WAVE_PLUS "+"

#define STRING_INTRO_SCENE_ONE "On an dry, summer evening in the hottest dunes of the West, a lone silhouette clashes against the gradient of the skyline."
#define STRING_INTRO_SCENE_TWO "Calamity Cobra, rugged sharpshooter and bounty hunter extraordinaire, the fiestiest femme fatale in the region, is on the prowl for a new bounty. Clutching a wanted poster within her claws, her shielded eyes read the page...just one more time. Its message is vague; it says something about some troublesome pests that oddly resemble...baked goods?"
#define STRING_INTRO_SCENE_THREE "Peering out into the distance, Calamity Cobra spies a lonesome wooden sign with nothing but the words \"Dessert Desert\". The place was covered in assorted sweet goods, and giant towers of pudding adorned the horizon. It was just where the poster said those sugary bastards would be!!"
#define STRING_INTRO_SCENE_FOUR "Suddenly, without a moment's notice...herds of those high-calorie vermin burst out into the scene and surround Calamity Cobra!!"
#define STRING_INTRO_SCENE_FIVE "With the quickest draw in all of the land, Calamity Cobra arms herself with her very own Snekgun (patent pending), and prepares to bring justice to all the waistlines those high-calorie miscreants have ruined and to remind those not-so-sweet sweets why her name is CALAMITY COBRA!!"

#define STRING_ENDING_FAIL "Calamity Cobra had misjudged how vicious the denizens of the Dessert Desert would be. Held captive by a thick, mountainous layer of flab, Calamity Cobra lays immobile in the midst of the cream-covered land, helplessly awaiting further feedings...(Try again!!)"
#define STRING_ENDING_ONE "Having cleared out all the troublesome treats in her sight, Calamity Cobra departs from the cursed cream-covered lands, with a nice haul to boot. She just wishes that she wouldn't have to spend some of it on a new tailor... (Ending 1. Shoot for $50,000 on hand!!)"
#define STRING_ENDING_TWO "After destroying an army's worth of those conniving confections, creamy viscera coated Calamity Cobra's shredded outfit. Absolutely exhausted from her relentless slaughter, Calamity Cobra begins the long trip back to town with her bundles of cash. It's not going to be easy, seeing how she's also got to carry the weight of her sized-up body...  (Ending 2. Shoot for $100,000 on hand!)"
#define STRING_ENDING_THREE "Did Cecillia do it for the money? Partly. For the fame, for the glory? Sure. But this was the bounty she'd been looking for her whole life, and it brought her something else that those two could hardly bring: immense pleasure. Having suffered the consequences of her vicious, unrelenting slaughter, Cecillia languished her new enormity with pride. Plucking the lollipop from her mouth, Cecilla decided the reward could wait...enjoying her new size was priority number one. (Best Ending. Congratulations!!!)"

#define STRING_PLAY_UPGRADE "UPGRADES - Use the dough you've earned and buy shweet upgrades for your Snekgun!!"
#define STRING_PLAY_UPGRADE_SNAKES "SNAKES+ - You can now have more snakes on screen."
#define STRING_PLAY_UPGRADE_LIFETIME "LIFETIME+ - Your snakes will last longer before tiring out."
#define STRING_PLAY_UPGRADE_REDIRECT "REDIRECTS+ - You can now redirect your snakes an additional time, for more damage."

#define STRING_INFO_LICENSES "Thank you for playing Calamity Cobra in \"A Sweet Surprise\"! 2022 Weightgaming.com Gain Jam. Software by @ShweetMagnet licensed under GNU GPLv3. Art licensed under CC0, by @ShweetMagnet. Sound and music licensed under CC0, by @bugsinplanters. \"Jackwrite\" font licensed under OFL, by Jack Daw from dafont.com. \"Sheet of old paper\" graphic licensed under CC0, by Q-x from opengameart.org"

#define STRING_INFO_THEME "Theme: \"Greed\"\nThe game centers around a greedy miscreant bounty hunter on the hunt. Money can drop from enemies, and greed can be your downfall if you waltz into a hoard of them to collect some chump change or carelessly fire a snake to collect goodies. You can use said money to pay for shweet upgrades, and the endings certainly highlight Calamity Cobra's avarice."

#define STRING_INFO_WILDCARD_ADMIN "Wildcard (Admin): \"New Game+\"\nAfter beating the first batch of waves, you can start over the beginning, keeping your cash and upgrades. Be wary though, as enemies will be beefier, faster and spawn sooner!! Luckily, you get a cash multiplier and goodies are more common!!"

#define STRING_INFO_WILDCARD_PATREON "Wildcard (Patreon): \"Progress Through Failure\"\nIf you either screw up (or intentionally get hit), the wave will be instantly cleared, allowing you to proceed to the next one. However, you'll be punished with a fattening, meaning you move slower and become easier to hit!!"

#define STRING_INFO_WILDCARD_COMMUNITY "Wildcard (Community): \"Minions\"\nCalamity Cobra's patented Snekgun fires friendly serpent minions that can be redirected on her command. Use them to dispatch your foes, and collect goodies, just as good minions should!!"

#define STRING_INFO_BACK "Back"

#define STRING_PLAY_TUTORIAL_MOUSE "Hold RIGHT MOUSE to move. Press LEFT MOUSE to fire snakes, and press RIGHT MOUSE/R to redirect snakes, which deal more damage. Collect cash, hunt bounties, and watch your waistline!!"
#define STRING_PLAY_TUTORIAL_KEYBOARD "Use arrow keys/WASD to move. Press LEFT MOUSE to fire snakes, and press RIGHT MOUSE/R to redirect snakes, which deal more damage. Collect cash, hunt bounties, and watch your waistline!!"

#define STRING_PLAY_PAUSE "PAUSE!!"
#define STRING_PLAY_GUI_SNAKE_POWER_UP "INFINITE"
#define STRING_PLAY_MESSAGE_WAVE_CLEAR "WAVE CLEARED!!"
#define STRING_PLAY_MESSAGE_WAVE_FAIL "WAVE FAILED..."
#define STRING_PLAY_MESSAGE_PURCHASE_NO_CASH "YOU'RE BROKE!!"
#define STRING_PLAY_MESSAGE_PURCHASE_MAXED "MAXED!!"
#define STRING_PLAY_MESSAGE_GAME_CLEAR "GAME CLEARED!!"
#define STRING_PLAY_MESSAGE_POWER_UP "BERSERK!!"
#define STRING_PLAY_MESSAGE_POWER_DOWN "BERSERK OVER..."
#define STRING_PLAY_MESSAGE_MIRACLE_CURE "-1 FATNESS!!"
#define STRING_PLAY_MESSAGE_DYNAMITE "KABOOM!!"
#define STRING_PLAY_GUI_WAVE "WAVE "
#define STRING_PLAY_GUI_READY "LET'S WRASSLE!!"
#define STRING_PLAY_GUI_BOUNTY_NONE "..."
#define STRING_PLAY_GUI_BOUNTY_DEAD "X-X"

#define STRING_ENDING_NEW_GAME_PLUS "New Game+"
#define STRING_ENDING_RESULTS "Forfeit"

#define STRING_RESULTS "RESULTS"
#define STRING_RESULTS_BOUNTIES_HUNTED "Bounties Hunted: "
#define STRING_RESULTS_CASH_COLLECTED "Cash Collected: "
#define STRING_RESULTS_CASH_HELD "Cash Held:"
#define STRING_RESULTS_HIGHEST_WAVE "Highest Wave: "
#define STRING_RESULTS_THANKS "Thanks for playing!! c:"

#define STRING_TITLE_START "Start!!"
#define STRING_TITLE_INFO "Credits / Info"
