/*
 * DESCRIPTION:
 * Header file for game_font.h.
*/

#pragma once

#include "GAME_COMMON.h"

static const char* FONT_PATHS[FONT_COUNT] =
{
        "",
	"res/font/fontJackwrite.ttf",
	"res/font/fontJackwrite.ttf",
	"res/font/fontJackwrite.ttf",
	"res/font/fontJackwrite.ttf",
	"res/font/fontJackwrite.ttf",
};

static const s32 FONT_SIZES[FONT_COUNT] =
{
	0,
	12,
        16,
	24,
	32,
	48
};

void game_font_init(Game* _g, FontType _f);
void game_font_free(Game* _g, FontType _f);
void game_font_clear(Game* _g);
