/*
 * DESCRIPTION:
 * Header file for button.c.
*/

#pragma once

#include "../GAME_COMMON.h"

static const SDL_Color BUTTON_NONE_COLOR = {255, 255, 255, 255};
static const SDL_Color BUTTON_HOVER_COLOR = {192, 192, 192, 255};
static const SDL_Color BUTTON_PRESS_COLOR = {128, 128, 128, 255};
static const SDL_Color BUTTON_HELD_COLOR = {64, 64, 6, 255};

void button_init(Button* _b, Sprite* _s);
void button_update(Button* _b, Mouse* _m);
void button_draw(Button* _b, SDL_Renderer* _r);
