/*
 * DESCRIPTION:
 * Header file for info.c.
*/

#pragma once

#include "../GAME_STRINGS.h"
#include "../gui/button.h"
#include "../gui/cursor.h"

#define INFO_LICENSE_TEXT_OFFSET_X 400
#define INFO_BUTTON_OFFSET_X 750
#define INFO_BUTTON_OFFSET_Y 50
#define INFO_LICENSE_TEXT_OFFSET_X 400
#define INFO_LICENSE_TEXT_OFFSET_Y 80
#define INFO_BUTTON_TEXT_ROTATION -5
#define INFO_BUTTON_BACKGROUND_WIDTH 96
#define INFO_BUTTON_BACKGROUND_HEIGHT 96
#define INFO_WILDCARD_WIDTH 175
#define INFO_WILDCARD_HEIGHT 225
#define INFO_THEME_WIDTH 225
#define INFO_THEME_HEIGHT 60
#define INFO_THEME_OFFSET_X 175
#define INFO_THEME_OFFSET_Y 200
#define INFO_WILDCARD_ADMIN_OFFSET_X 100
#define INFO_WILDCARD_PATREON_OFFSET_X 475
#define INFO_WILDCARD_COMMUNITY_OFFSET_X 475
#define INFO_WILDCARD_ADMIN_OFFSET_Y 480
#define INFO_WILDCARD_PATREON_OFFSET_Y 255
#define INFO_WILDCARD_COMMUNITY_OFFSET_Y 480
#define INFO_WILDCARD_ADMIN_TEXT_OFFSET_X 290
#define INFO_WILDCARD_ADMIN_TEXT_OFFSET_Y 480
#define INFO_WILDCARD_COMMUNITY_TEXT_OFFSET_X 675
#define INFO_WILDCARD_COMMUNITY_TEXT_OFFSET_Y 480
#define INFO_WILDCARD_PATREON_TEXT_OFFSET_X 675
#define INFO_WILDCARD_PATREON_TEXT_OFFSET_Y 255
#define INFO_THEME_TEXT_OFFSET_X 200
#define INFO_THEME_TEXT_OFFSET_Y 300
#define INFO_THEME_WRAP 350
#define INFO_WILDCARD_WRAP 200
#define INFO_LICENSE_TEXT_WRAP 500
#define INFO_RECTANGLE_WIDTH 800
#define INFO_RECTANGLE_HEIGHT 600

static const SDL_Color INFO_BACKGROUND_COLOR = {0, 0, 0, 255};
static const SDL_Color INFO_TEXT_COLOR = {255, 255, 255, 255};

void info_draw(Info* _i);
void info_free(Info* _i);
void info_init(Info* _i, Game* _g);
void info_update(Info* _i);
