/*
 * DESCRIPTION:
 * Intro code.
*/

#include "intro.h"

/* Initializes intro. */
void
intro_init(Intro* _i, Game* _g)
{
	memset(_i, '\0', sizeof(Intro));

	_i->g = _g;

	scene_init
	(
		&_i->sceneHandler, 
		_i->g, 
		(Scene*)INTRO_SCENES,
		INTRO_SCENE_COUNT
	);

	music_play(_i->g->music[MUSIC_INTRO], TRUE);
}

/* Frees intro. */
void
intro_free(Intro* _i)
{
	scene_free(&_i->sceneHandler, _i->g);
}

/* Updates intro. */
void
intro_update(Intro* _i)
{
	scene_update(&_i->sceneHandler, _i->g);
}

/* Draws intro. */
void
intro_draw(Intro* _i)
{
	scene_draw(&_i->sceneHandler, _i->g);
}
