/*
 * DESCRIPTION:
 * Header file for intro.c.
*/

#pragma once

#include "../scene/scene.h"
#include "../GAME_STRINGS.h"

#define INTRO_SCENE_COUNT 5

static const Scene INTRO_SCENES[INTRO_SCENE_COUNT] = 
{
	{
		.textureType = TEXTURE_INTRO_SCENE_ONE,
		.text = STRING_INTRO_SCENE_ONE
	},
	{
		.textureType = TEXTURE_INTRO_SCENE_TWO,
		.text = STRING_INTRO_SCENE_TWO
	},
	{
		.textureType = TEXTURE_INTRO_SCENE_THREE,
		.text = STRING_INTRO_SCENE_THREE
	},
	{
		.textureType = TEXTURE_INTRO_SCENE_FOUR,
		.text = STRING_INTRO_SCENE_FOUR
	},
	{
		.textureType = TEXTURE_INTRO_SCENE_FIVE,
		.text = STRING_INTRO_SCENE_FIVE
	}
};

void intro_update(Intro* _i);
void intro_init(Intro* _i, Game* _g);
void intro_draw(Intro* _i);
void intro_free(Intro* _i);
