/*
 * DESCRIPTION:
 * Header file for collectibles.c.
*/

#pragma once

#include "collectible.h"
#include "../shadow/shadow.h"

static const SDL_Color COLLECTIBLE_SHADOW_COLOR = {0, 0, 0, 64};

void collectibles_init(List* _l, Play* _p);
void collectibles_free(List* _l, Play* _p);
void collectibles_update(List* _l, Play* _p);
void collectibles_draw(List* _l, Play* _p);
