/*
 * DESCRIPTION:
 * Header file for chip.c.
*/

#pragma once

#include "../../GAME_COMMON.h"
#include "enemy.h"

#define CHIP_HEALTH_BASE 1
#define CHIP_HEALTH_GAME_MULTIPLIER 0
#define CHIP_HEALTH_MAX 99
#define CHIP_VELOCITY_GAME_MULTIPLIER 1
#define CHIP_VELOCITY_MAX 10
#define CHIP_WIDTH 16
#define CHIP_HEIGHT 16
#define CHIP_VELOCITY_BASE 3
#define CHIP_LIFETIME 300
#define CHIP_SHADOW_OFFSET_X 0
#define CHIP_SHADOW_OFFSET_Y 32
#define CHIP_SHADOW_RADIUS 8
#define CHIP_ROTATION_DELTA 5

void chip_init(Enemy* _e, List* _l, Play* _p);
void chip_set(Enemy* _e, List* _l, f64 _x, f64 _y, Play* _p);
void chip_update(Enemy* _e, List* _l, Play* _p);
