/*
 * DESCRIPTION:
 * Header file for crumbler.c.
*/

#pragma once

#include "../../GAME_COMMON.h"
#include "enemy.h"

#define CRUMBLER_ANIMATION_TIMER_MAX 60
#define CRUMBLER_ATTACK_TIMER_MAX_BASE 120
#define CRUMBLER_ATTACK_TIMER_MAX_MIN 60
#define CRUMBLER_SHADOW_OFFSET_X 0
#define CRUMBLER_SHADOW_OFFSET_Y 16
#define CRUMBLER_SHADOW_RADIUS 48
#define CRUMBLER_HEALTH_BASE 10
#define CRUMBLER_HEALTH_MAX 99
#define CRUMBLER_HEIGHT 96
#define CRUMBLER_ATTACK_OFFSET_Y 1000
#define CRUMBLER_SQUASH_MULTIPLIER 0.015
#define CRUMBLER_STRETCH_MULTIPLIER 0.025
#define CRUMBLER_WIDTH 128
#define CRUMBLER_HEALTH_GAME_MULTIPLIER 2
#define CRUMBLER_ATTACK_TIMER_MAX_GAME_MULTIPLIER 5
#define CRUMBLER_ROWS 1
#define CRUMBLER_COLUMNS 2

void crumbler_init(Enemy* _e, List* _l, Play* _p);
void crumbler_set(Enemy* _e, List* _l, f64 _x, f64 _y, Play* _p);
void crumbler_update(Enemy* _e, List* _l, Play* _p);
