/*
 * DESCRIPTION:
 * Header file for cupper.c.
*/

#pragma once

#include "../../GAME_COMMON.h"
#include "enemy.h"

#define CUPPER_ANIMATION_TIMER_MAX 30
#define CUPPER_ATTACK_TIMER_MAX_BASE 120
#define CUPPER_ATTACK_TIMER_MAX_GAME_MULTIPLIER 10
#define CUPPER_ATTACK_TIMER_MAX_MIN 30
#define CUPPER_ATTACK_TIMER_THRESHOLD 30
#define CUPPER_SHADOW_OFFSET_X 0
#define CUPPER_SHADOW_OFFSET_Y 16
#define CUPPER_SHADOW_RADIUS 24
#define CUPPER_COLUMNS 2
#define CUPPER_HEALTH_BASE 3
#define CUPPER_HEALTH_GAME_MULTIPLIER 2
#define CUPPER_HEALTH_MAX 99
#define CUPPER_HEIGHT 48
#define CUPPER_JUMP_TIMER_MAX_BASE 30
#define CUPPER_ROWS 1
#define CUPPER_SQUASH_MULTIPLIER 0.05
#define CUPPER_STRETCH_MULTIPLIER 0.05
#define CUPPER_VELOCITY 3
#define CUPPER_WIDTH 48

void cupper_init(Enemy* _e, List* _l, Play* _p);
void cupper_set(Enemy* _e, List* _l, f64 _x, f64 _y, Play* _p);
void cupper_update(Enemy* _e, List* _l, Play* _p);
