/*
 * DESCRIPTION:
 * Header file for gui.c.
*/

#pragma once

#include "../../gui/cursor.h"

#include "gui_bounty.h"
#include "gui_cash.h"
#include "gui_snake.h"
#include "gui_redirect.h"
#include "gui_ready.h"
#include "gui_wave.h"
#include "gui_upgrade.h"

void gui_init(GUI* _g, Play* _p);
void gui_free(GUI* _g, Play* _p);
void gui_draw(GUI* _g, Play* _p);
void gui_update(GUI* _g, Play* _p);
