/*
 * DESCRIPTION:
 * Header file for gui_upgrade.c.
*/

#pragma once

#include "../../gui/button.h"

#include "../../GAME_STRINGS.h"

#include "../message/message.h"

#define GUI_UPGRADE_BACKGROUND_BIG_WIDTH 196
#define GUI_UPGRADE_BACKGROUND_BIG_HEIGHT 98
#define GUI_UPGRADE_BACKGROUND_SMALL_WIDTH 96
#define GUI_UPGRADE_BACKGROUND_SMALL_HEIGHT 98
#define GUI_UPGRADE_BACKGROUND_SPRITE_OFFSET_X 400
#define GUI_UPGRADE_BACKGROUND_SPRITE_OFFSET_Y 450
#define GUI_UPGRADE_SNAKE_SPRITE_OFFSET_Y 550
#define GUI_UPGRADE_LIFETIME_SPRITE_OFFSET_Y 550
#define GUI_UPGRADE_REDIRECT_SPRITE_OFFSET_Y 550
#define GUI_UPGRADE_SNAKE_SPRITE_OFFSET_X 200
#define GUI_UPGRADE_LIFETIME_SPRITE_OFFSET_X 400
#define GUI_UPGRADE_REDIRECT_SPRITE_OFFSET_X 600
#define GUI_UPGRADE_WRAP 150
#define GUI_UPGRADE_ROTATION -5
#define GUI_UPGRADE_TEXT_MAX 0xFF
#define GUI_UPGRADE_INFO_TEXT_MAX 0xFF
#define GUI_UPGRADE_TEXT_OFFSET_X 0
#define GUI_UPGRADE_TEXT_OFFSET_Y -48
#define GUI_UPGRADE_WIDTH 64
#define GUI_UPGRADE_HEIGHT 64
#define GUI_UPGRADE_MAX 99

static const SDL_Color GUI_UPGRADE_TEXT_COLOR = {255, 255, 255, 255};
static const SDL_Color GUI_UPGRADE_INFO_TEXT_COLOR = {0, 0, 0, 255};

void gui_upgrade_init(GUI* _g, Play* _p);
void gui_upgrade_free(GUI* _g, Play* _p);
void gui_upgrade_update(GUI* _g, Play* _p);
void gui_upgrade_draw(GUI* _g, Play* _p);

