/* 
 * DESCRIPTION:
 * Gameplay pausing code!!!
*/

#include "pause.h"

/* Initializes pause. */
void
pause_init(Play* _p)
{
	_p->isPaused = FALSE;
}

/* Updates pause. */
void
pause_update(Play* _p)
{
	if (keyboard_press(&_p->g->keyboard, KEYBOARD_P))
	{
		_p->isPaused = !_p->isPaused;

		sound_play(_p->g->sounds[SOUND_MENU], -1);
	}
}
