/*
 * DESCRIPTION: 
 * Header file for player.c.
*/

#pragma once

#include "player_cash.h"
#include "player_defeat.h"
#include "player_direction.h"
#include "player_fatness.h"
#include "player_fire.h"
#include "player_movement.h"
#include "player_power_up.h"
#include "player_price.h"
#include "player_shadow.h"
#include "player_sprite.h"
#include "player_tail.h"
#include "player_upgrades.h"

void player_draw(Player* _p, Play* _l);
void player_free(Player* _p, Play* _l);
void player_init(Player* _p, Play* _l);
void player_update(Player* _p, Play* _l);
