#pragma once

#include "../../GAME_COMMON.h"

#define PLAYER_MOVE_MINIMUM 32

#define PLAYER_MOVEMENT_LEFT_ANGLE 0
#define PLAYER_MOVEMENT_RIGHT_ANGLE (PI)
#define PLAYER_MOVEMENT_UP_ANGLE (PI / 2)
#define PLAYER_MOVEMENT_DOWN_ANGLE (PI + (PI / 2))
#define PLAYER_MOVEMENT_LEFT_UP_ANGLE PLAYER_MOVEMENT_LEFT_ANGLE + (PI / 4)
#define PLAYER_MOVEMENT_LEFT_DOWN_ANGLE PLAYER_MOVEMENT_LEFT_ANGLE - (PI / 4)
#define PLAYER_MOVEMENT_RIGHT_UP_ANGLE PLAYER_MOVEMENT_RIGHT_ANGLE - (PI / 4)
#define PLAYER_MOVEMENT_RIGHT_DOWN_ANGLE PLAYER_MOVEMENT_RIGHT_ANGLE + (PI / 4)
#define PLAYER_MOVEMENT_X_MIN -10
#define PLAYER_MOVEMENT_X_MAX 810
#define PLAYER_MOVEMENT_Y_MIN -10
#define PLAYER_MOVEMENT_Y_MAX 610

#include "player_direction.h"

static const s32 PLAYER_VELOCITIES[PLAYER_FATNESS_MAX] = 
{
	5,
	4,
	3
};

void player_movement_init(Player* _p, Play* _l);
void player_movement_update(Player* _p, Play* _l);
