/*
 * DESCRIPTION:
 * Header file for player_shadow.h.
*/

#pragma once

#include "../shadow/shadow.h"

#define PLAYER_SHADOW_OFFSET_X 0
#define PLAYER_SHADOW_OFFSET_Y 32

static const s32 PLAYER_SHADOW_RADIUS[PLAYER_FATNESS_MAX] =
{
        16,
        24,
        32
};

void player_shadow_init(Player* _p, Play* _l);
void player_shadow_update(Player* _p, Play* _l);
void player_shadow_draw(Player* _p, Play* _l);
