/*
 * DESCRIPTION:
 * Header file for player_tail.h.
*/

#pragma once

#include "../../GAME_COMMON.h"

#define PLAYER_TAIL_HEIGHT 96
#define PLAYER_TAIL_WIDTH 96
#define PLAYER_TAIL_LEFT_OFFSET_X 96
#define PLAYER_TAIL_RIGHT_OFFSET_X -96
#define PLAYER_TAIL_UP_OFFSET_X 0
#define PLAYER_TAIL_DOWN_OFFSET_X 0
#define PLAYER_TAIL_LEFT_OFFSET_Y 0
#define PLAYER_TAIL_RIGHT_OFFSET_Y 0
#define PLAYER_TAIL_UP_OFFSET_Y 96
#define PLAYER_TAIL_DOWN_OFFSET_Y -96
#define PLAYER_TAIL_ROWS 1
#define PLAYER_TAIL_COLUMNS 4
#define PLAYER_TAIL_ANIMATE_COUNT 2
#define PLAYER_TAIL_TIMER_MAX 5

void player_tail_init(Player* _p, Play* _l);
void player_tail_update(Player* _p, Play* _l);
void player_tail_draw(Player* _p, Play* _l);
void player_tail_free(Player* _p, Play* _l);
