/*
 * DESCRIPTION:
 * Header file for spawn.c.
*/

#pragma once

#include "../enemy/enemy.h"

#define SPAWN_TIMER_MAX_DEFAULT 150
#define SPAWN_TIMER_BASE_MIN 30
#define SPAWN_TIMER_WAVE_MULTIPLIER 5
#define SPAWN_TIMER_MIN_MULTIPLIER 0.75
#define SPAWN_TIMER_MAX_MULTIPLIER 1.25
#define SPAWN_X_MAX 800
#define SPAWN_Y_MAX 600

void spawn_init(Play* _p);
void spawn_update(Play* _p);
