/*
 * DESCRIPTION:
 * Header file for results.c.
*/

#pragma once

#include "../GAME_COMMON.h"
#include "../GAME_STRINGS.h"

#define RESULTS_BOUNTIES_HUNTED_OFFSET_X 400
#define RESULTS_BOUNTIES_HUNTED_OFFSET_Y 400
#define RESULTS_CASH_COLLECTED_OFFSET_X 400
#define RESULTS_CASH_COLLECTED_OFFSET_Y 425
#define RESULTS_CASH_HELD_OFFSET_X 400
#define RESULTS_CASH_HELD_OFFSET_Y 450
#define RESULTS_HIGHEST_WAVE_OFFSET_X 400
#define RESULTS_HIGHEST_WAVE_OFFSET_Y 375
#define RESULTS_TEXT_MAX 0xFF
#define RESULTS_TEXT_OFFSET_X 400
#define RESULTS_TEXT_OFFSET_Y 50
#define RESULTS_SPRITE_OFFSET_X 400
#define RESULTS_SPRITE_OFFSET_Y 200
#define RESULTS_SPRITE_WIDTH 400
#define RESULTS_SPRITE_HEIGHT 200
#define RESULTS_THANKS_TEXT_OFFSET_X 400
#define RESULTS_THANKS_TEXT_OFFSET_Y 500
#define RESULTS_RECTANGLE_WIDTH 800
#define RESULTS_RECTANGLE_HEIGHT 600

static const SDL_Color RESULTS_TEXT_COLOR = {255, 255, 255, 255};
static const SDL_Color RESULTS_BACKGROUND_COLOR = {0, 0, 0, 255};

void results_init(Results* _r, Game* _g);
void results_free(Results* _r);
void results_update(Results* _r);
void results_draw(Results* _r);
