#include "math.h"

/* Given two points, gets the inverse tangent in radians. */
f64 
math_atan(f64 _aX, f64 _aY, f64 _bX, f64 _bY)
{
        f64 angle;
        f64 x;
        f64 y;

        x = _aX - _bX;
        y = _aY - _bY;

        angle = atan2(y, x);

        return angle;
}

/* Distance formula. */
f64 
math_distance(f64 _aX, f64 _aY, f64 _bX, f64 _bY)
{
        f64 x;
        f64 y;
        f64 distance;

        x = _aX - _bX;
        y = _aY - _bY;

        distance = sqrt(pow(x, 2) + pow(y, 2));

        return distance;
}

