#include "node.h"

/* Mallocs a node for a linked list, given data and size. */
Node*
node_get(void* _d, size_t _s)
{
	Node* n;

	n = malloc(sizeof(Node));
	memset(n, '\0', sizeof(Node));

	if (_d)
	{
		n->data = malloc(_s);
		memcpy(n->data, _d, _s);
	}

	return n;
}

/* Frees a node. */
void
node_free(Node* _x)
{
	if (_x->data)
		free(_x->data);
	free(_x);
}
