#pragma once

#include "texture.h"

#define ATLAS_ROWS_DEFAULT 1
#define ATLAS_COLUMNS_DEFAULT 1

typedef struct Atlas
{
        SDL_Texture* texture;
        s32 rows;
        s32 cols;
        s32 frameW;
        s32 frameH;
} Atlas;

void atlas_init(Atlas* _a, SDL_Texture* _t, s32 _r, s32 _c, s32 _fW, s32 _fH);
SDL_Rect atlas_source_rect_get(Atlas* _a, s32 _f);
