#pragma once

#include <SDL2/SDL.h>

#include "../COMMON.h"

void window_init(SDL_Window** _x, char* _s, s32 _w, s32 _h, s32 _f);
void window_free(SDL_Window* _x);
void window_fullscreen_enter(SDL_Window* _x);
void window_fullscreen_desktop_enter(SDL_Window* _x);
void window_fullscreen_exit(SDL_Window* _x);
s32 window_w_get(SDL_Window* _x);
s32 window_h_get(SDL_Window* _x);
SDL_Rect window_rect_get(SDL_Window* _x);
