/*
 * DESCRIPTION:
 * Header file for game.c.
*/

#pragma once

#include "GAME_STRINGS.h"

#include "game_state.h"

#define WINDOW_WIDTH 800
#define WINDOW_HEIGHT 600
#define WINDOW_FLAGS 0
#define WINDOW_TITLE STRING_WINDOW_TITLE
#define RENDERER_FLAGS SDL_RENDERER_ACCELERATED
#define FPS 60
#define FRAME_DELAY (SECOND / FPS)

static const SDL_Color RENDERER_COLOR = {0, 0, 0, 255};

void game_free(Game* _g);
void game_init(Game* _g);
void game_loop(Game* _g);
