/*
 * DESCRIPTION:
 * Header file for game_music.h
*/

#pragma once

#include "GAME_COMMON.h"

static const char* MUSIC_PATHS[MUSIC_COUNT] =
{
        "",
	"res/audio/music/musWind.ogg",
	"res/audio/music/musPlay.ogg",
	"res/audio/music/musWaveClear.ogg",
	"res/audio/music/musWaveFail.ogg",
	"res/audio/music/musResults.ogg",
	"res/audio/music/musTitle.ogg",
	"res/audio/music/musIntro.ogg",
};

void game_music_init(Game* _g, MusicType _m);
void game_music_free(Game* _g, MusicType _m);
void game_music_clear(Game* _g);
