/*
 * DESCRIPTION:
 * Header file for game_sound.h
*/

#pragma once

#include "GAME_COMMON.h"

static const char* SOUND_PATHS[SOUND_COUNT] =
{
        "",
        "res/audio/sfx/sfxMenu.ogg",
        "res/audio/sfx/sfxBlip.ogg",
        "res/audio/sfx/sfxSnakeFire.ogg",
        "res/audio/sfx/sfxSnakeRedirect.ogg",
        "res/audio/sfx/sfxSnakeReturn.ogg",
        "res/audio/sfx/sfxEnemyHurt.ogg",
        "res/audio/sfx/sfxCupperKill.ogg",
        "res/audio/sfx/sfxChipperKill.ogg",
        "res/audio/sfx/sfxCrumblerKill.ogg",
        "res/audio/sfx/sfxChipKill.ogg",
        "res/audio/sfx/sfxRumble.ogg",
        "res/audio/sfx/sfxCollectible.ogg",
        "res/audio/sfx/sfxDollars.ogg",
        "res/audio/sfx/sfxSack.ogg",
        "res/audio/sfx/sfxBullions.ogg",
        "res/audio/sfx/sfxPurchase.ogg",
        "res/audio/sfx/sfxMiracleCure.ogg",
        "res/audio/sfx/sfxDynamite.ogg",
        "res/audio/sfx/sfxBerserk.ogg",
        "res/audio/sfx/sfxSwallow.ogg",
        "res/audio/sfx/sfxGrowth.ogg",
        "res/audio/sfx/sfxError.ogg",
        "res/audio/sfx/sfxGo.ogg",
        "res/audio/sfx/sfxSpit.ogg",
};

void game_sound_init(Game* _g, SoundType _s);
void game_sound_free(Game* _g, SoundType _s);
void game_sound_clear(Game* _g);
