/*
 * DESCRIPTION:
 * Header file for cursor.c.
*/

#pragma once

#include "../GAME_COMMON.h"

#define CURSOR_WIDTH 32
#define CURSOR_HEIGHT 32
#define CURSOR_FRAME_WIDTH 32
#define CURSOR_FRAME_HEIGHT 32
#define CURSOR_ROWS 1
#define CURSOR_COLUMNS 3
#define CURSOR_ALPHA 128
#define CURSOR_X_MAX 800
#define CURSOR_X_MIN 0
#define CURSOR_Y_MAX 600
#define CURSOR_Y_MIN 0

void cursor_draw(Cursor* _c, SDL_Renderer* _r);
void cursor_free(Cursor* _c);
void cursor_init(Cursor* _c, Mouse* _m, SDL_Texture* _t);
void cursor_update(Cursor* _c, Mouse* _m);
