/*
 * DESCRIPTION:
 * Large money collectible.
*/

#include "bullions.h"

/* Initializes the bullions. */
void 
bullions_init(Collectible* _c, List* _l, Play* _p)
{
	sprite_init
	(
		&_c->sprite,
		_p->g->textures[TEXTURE_COLLECTIBLE_BULLIONS],
		ORIGIN_MIDDLE,
		BULLIONS_WIDTH,
		BULLIONS_HEIGHT
	);
}

/* What happens when you collect the bullions? */
void
bullions_collect(Collectible* _c, List* _l, Play* _p)
{
	player_cash_acquire(&_p->player, BULLIONS_CASH_VALUE, _p);
	
	sound_play(_p->g->sounds[SOUND_BULLIONS], -1);
}
