/*
 * DESCRIPTION:
 * Small money collectible.
*/

#include "dollars.h"

/* Initializes the dollars. */
void 
dollars_init(Collectible* _c, List* _l, Play* _p)
{
	sprite_init
	(
		&_c->sprite,
		_p->g->textures[TEXTURE_COLLECTIBLE_DOLLARS],
		ORIGIN_MIDDLE,
		DOLLARS_WIDTH,
		DOLLARS_HEIGHT
	);
}

/* What happens when you collect the dollars? */
void
dollars_collect(Collectible* _c, List* _l, Play* _p)
{        
	player_cash_acquire(&_p->player, DOLLARS_CASH_VALUE, _p);
	
	sound_play(_p->g->sounds[SOUND_DOLLARS], -1);
}
