/*
 * DESCRIPTION:
 * Medium money collectible.
*/

#include "sack.h"

/* Initializes the sack. */
void 
sack_init(Collectible* _c, List* _l, Play* _p)
{
	sprite_init
	(
		&_c->sprite,
		_p->g->textures[TEXTURE_COLLECTIBLE_SACK],
		ORIGIN_MIDDLE,
		SACK_WIDTH,
		SACK_HEIGHT
	);
}

/* What happens when you collect the sack? */
void
sack_collect(Collectible* _c, List* _l, Play* _p)
{
	player_cash_acquire(&_p->player, SACK_CASH_VALUE, _p);
	
	sound_play(_p->g->sounds[SOUND_SACK], -1);
}
