/*
 * DESCRIPTION:
 * Header file for gui_bounty.c.
*/

#pragma once

#include "../../GAME_COMMON.h"
#include "../../GAME_STRINGS.h"

#define GUI_BOUNTY_TEXT_MAX 15
#define GUI_BOUNTY_SPRITE_OFFSET_Y 48
#define GUI_BOUNTY_SPRITE_OFFSET_X 424
#define GUI_BOUNTY_TEXT_ROTATION -5
#define GUI_BOUNTY_BACKGROUND_WIDTH 96
#define GUI_BOUNTY_BACKGROUND_HEIGHT 96
#define GUI_BOUNTY_ALPHA 196

static const SDL_Color GUI_BOUNTY_TEXT_COLOR = {255, 255, 255, 255};

void gui_bounty_init(GUI* _g, Play* _p);
void gui_bounty_free(GUI* _g, Play* _p);
void gui_bounty_update(GUI* _g, Play* _p);
void gui_bounty_draw(GUI* _g, Play* _p);

