/*
 * DESCRIPTION:
 * Header file for gui_cash.c.
*/

#pragma once

#include "../../GAME_COMMON.h"
#include "../../GAME_STRINGS.h"

#define GUI_CASH_TEXT_MAX 10
#define GUI_CASH_WIDTH 64
#define GUI_CASH_HEIGHT 64
#define GUI_CASH_BACKGROUND_WIDTH 96
#define GUI_CASH_BACKGROUND_HEIGHT 96
#define GUI_CASH_TEXT_BACKGROUND_WIDTH 192
#define GUI_CASH_TEXT_BACKGROUND_HEIGHT 96
#define GUI_CASH_SPRITE_OFFSET_X 48
#define GUI_CASH_SPRITE_OFFSET_Y 64
#define GUI_CASH_TEXT_OFFSET_X 196
#define GUI_CASH_TEXT_OFFSET_Y 50
#define GUI_CASH_TEXT_ROTATION -5
#define GUI_CASH_ALPHA 196

static const SDL_Color GUI_CASH_TEXT_COLOR = {255, 255, 255, 255};

void gui_cash_init(GUI* _g, Play* _p);
void gui_cash_free(GUI* _g, Play* _p);
void gui_cash_update(GUI* _g, Play* _p);
void gui_cash_draw(GUI* _g, Play* _p);

