/*
 * DESCRIPTION:
 * Header file for gui_ready.c.
*/

#pragma once

#include "../../gui/button.h"
#include "../../GAME_STRINGS.h"

#define GUI_READY_TEXT_MAX 30
#define GUI_READY_OFFSET_X 752
#define GUI_READY_OFFSET_Y 550
#define GUI_READY_BACKGROUND_WIDTH 96
#define GUI_READY_BACKGROUND_HEIGHT 96
#define GUI_READY_ROTATION -5
#define GUI_READY_WRAP 100
#define GUI_READY_TEXT_OFFSET_X 16
#define GUI_READY_TEXT_OFFSET_Y 0

static const SDL_Color GUI_READY_TEXT_COLOR = {255, 255, 255, 255};

void gui_ready_init(GUI* _g, Play* _p);
void gui_ready_free(GUI* _g, Play* _p);
void gui_ready_update(GUI* _g, Play* _p);
void gui_ready_draw(GUI* _g, Play* _p);

