/*
 * DESCRIPTION:
 * Header file for redirect_gui.c.
*/

#pragma once

#include "../../GAME_COMMON.h"

#define GUI_REDIRECT_TEXT_MAX 6
#define GUI_REDIRECT_WIDTH 16
#define GUI_REDIRECT_HEIGHT 16
#define GUI_REDIRECT_SPRITE_OFFSET_X -16
#define GUI_REDIRECT_SPRITE_OFFSET_Y -24
#define GUI_REDIRECT_TEXT_OFFSET_X -8
#define GUI_REDIRECT_TEXT_OFFSET_Y -28
#define GUI_REDIRECT_ALPHA 128

static const SDL_Color GUI_REDIRECT_TEXT_COLOR = {0, 0, 0, 128};

void gui_redirect_init(GUI* _g, Play* _p);
void gui_redirect_free(GUI* _g, Play* _p);
void gui_redirect_update(GUI* _g, Play* _p);
void gui_redirect_draw(GUI* _g, Play* _p);

