/*
 * DESCRIPTION:
 * Header file for gui_snake.c.
*/

#pragma once

#include "../../GAME_COMMON.h"
#include "../../GAME_STRINGS.h"

#define GUI_SNAKE_TEXT_MAX 10
#define GUI_SNAKE_WIDTH 16
#define GUI_SNAKE_HEIGHT 16
#define GUI_SNAKE_SPRITE_OFFSET_X -16
#define GUI_SNAKE_SPRITE_OFFSET_Y -40
#define GUI_SNAKE_TEXT_OFFSET_X -8
#define GUI_SNAKE_TEXT_OFFSET_Y -46
#define GUI_SNAKE_ALPHA 128

static const SDL_Color GUI_SNAKE_TEXT_COLOR = {0, 0, 0, 128};

void gui_snake_init(GUI* _g, Play* _p);
void gui_snake_free(GUI* _g, Play* _p);
void gui_snake_update(GUI* _g, Play* _p);
void gui_snake_draw(GUI* _g, Play* _p);

