/*
 * DESCRIPTION:
 * Header file for gui_wave.c.
*/

#pragma once

#include "../../GAME_COMMON.h"
#include "../../GAME_STRINGS.h"

#define GUI_WAVE_TEXT_MAX 30
#define GUI_WAVE_SPRITE_OFFSET_Y 50
#define GUI_WAVE_SPRITE_OFFSET_X 704
#define GUI_WAVE_TEXT_ROTATION 5
#define GUI_WAVE_BACKGROUND_WIDTH 192
#define GUI_WAVE_BACKGROUND_HEIGHT 96
#define GUI_WAVE_ALPHA 196

static const SDL_Color GUI_WAVE_TEXT_COLOR = {255, 255, 255, 255};

void gui_wave_init(GUI* _g, Play* _p);
void gui_wave_free(GUI* _g, Play* _p);
void gui_wave_update(GUI* _g, Play* _p);
void gui_wave_draw(GUI* _g, Play* _p);

