/*
 * DESCRIPTION:
 * Header file for player_sprite.h.
*/

#pragma once

#include "../../GAME_COMMON.h"

#define PLAYER_SPRITE_HEIGHT 96
#define PLAYER_SPRITE_WIDTH 96
#define PLAYER_SPRITE_STAGE_FOUR_WIDTH 128
#define PLAYER_SPRITE_STAGE_FOUR_HEIGHT 128
#define PLAYER_SPRITE_ROWS 1
#define PLAYER_SPRITE_COLUMNS 2
#define PLAYER_SPRITE_X_DEFAULT 400
#define PLAYER_SPRITE_Y_DEFAULT 300

static const SDL_Color PLAYER_SPRITE_ELLIPSE_COLOR = {0, 0, 0, 128};

void player_sprite_init(Player* _p, Play* _l);
void player_sprite_update(Player* _p, Play* _l);
void player_sprite_draw(Player* _p, Play* _l);
void player_sprite_free(Player* _p, Play* _l);
