/*
 * DESCRIPTION:
 * Entity shadows.
*/

#include "shadow.h"

/* Draws a shadow. */
void
shadow_draw(Circle* _c, Play* _p)
{
	Sprite sprite;

	sprite_init
	(
		&sprite,
		_p->g->textures[TEXTURE_SHADOW],
		ORIGIN_MIDDLE,
		_c->r * SHADOW_SIZE_MULTIPLIER,
		_c->r * SHADOW_SIZE_MULTIPLIER
	);

	sprite.x = _c->x;
	sprite.y = _c->y;

	sprite_draw(&sprite, _p->g->renderer);
}
