/*
 * DESCRIPTION:
 * Header file for tutorial.c.
*/

#pragma once

#include "../../GAME_COMMON.h"
#include "../../GAME_STRINGS.h"

#define TUTORIAL_TEXT_WRAP 600
#define TUTORIAL_TEXT_OFFSET_X 400
#define TUTORIAL_TEXT_OFFSET_Y 500
#define TUTORIAL_TIMER_MAX 600

static const SDL_Color TUTORIAL_TEXT_COLOR = {0, 0, 0, 255};

void tutorial_draw(Play* _p);
void tutorial_free(Play* _p);
void tutorial_init(Play* _p);
void tutorial_update(Play* _p);
