#pragma once

#include "../GAME_COMMON.h"

#define SCENE_UPDATE_TIMER_MAX 4
#define SCENE_WRAP 600
#define SCENE_TEXT_OFFSET_X 100
#define SCENE_TEXT_OFFSET_Y 400
#define SCENE_SPRITE_WIDTH 800
#define SCENE_SPRITE_HEIGHT 300
#define SCENE_SPRITE_OFFSET_X 0
#define SCENE_SPRITE_OFFSET_Y 50
#define SCENE_RECTANGLE_WIDTH 800
#define SCENE_RECTANGLE_HEIGHT 800

static const SDL_Color SCENE_BACKGROUND_COLOR = {0, 0, 0, 255};
static const SDL_Color SCENE_TEXT_COLOR = {255, 255, 255, 255};

void scene_init(SceneHandler* _h, Game* _g, Scene* _s, s32 _c);
void scene_update(SceneHandler* _h, Game* _g);
void scene_draw(SceneHandler* _h, Game* _g);
void scene_free(SceneHandler* _h, Game* _g);
