/*
 * DESCRIPTION:
 * Header file for title.c.
*/

#pragma once

#include "../gui/button.h"
#include "../gui/cursor.h"
#include "../GAME_STRINGS.h"

#define TITLE_BUTTON_BACKGROUND_WIDTH 192
#define TITLE_BUTTON_BACKGROUND_HEIGHT 96
#define TITLE_START_BUTTON_OFFSET_X 600
#define TITLE_START_BUTTON_OFFSET_Y 400
#define TITLE_INFO_BUTTON_OFFSET_X 600
#define TITLE_INFO_BUTTON_OFFSET_Y 500
#define TITLE_TEXT_MAX 15
#define TITLE_TEXT_ROTATION -5
#define TITLE_BACKGROUND_OFFSET_X 0
#define TITLE_BACKGROUND_OFFSET_Y 0
#define TITLE_LOGO_WIDTH 250
#define TITLE_LOGO_HEIGHT 200
#define TITLE_LOGO_OFFSET_X 600
#define TITLE_LOGO_OFFSET_Y 150
#define TITLE_BACKGROUND_WIDTH 800
#define TITLE_BACKGROUND_HEIGHT 600

static const SDL_Color TITLE_TEXT_COLOR = {255, 255, 255, 255};

void title_draw(Title* _t);
void title_free(Title* _t);
void title_init(Title* _t, Game* _g);
void title_update(Title* _t);
