#pragma once

#include "node.h"

typedef struct List
{
        Node* head;
        Node* tail;
        s32 count;
} List;

void list_init(List* _l);
void list_remove(List* _l, Node* _n);
void list_clear(List* _l);
void list_free(List* _l);
void list_left_add(List* _l, Node* _a, Node* _b);
void list_right_add(List* _l, Node* _a, Node* _b);
void* list_append_new(List* _l, void* _data, size_t _size);
void** list_data_get(List* _l);
Node* list_node_from_data_get(List* _l, void* _d, size_t _s);
Node* list_node_from_index_get(List* _l, s32 _i);
void list_node_from_data_remove(List* _l, void* _d, size_t _s);
