#include "random.h"

/* Sets random seed. */
void
random_seed_set(void)
{
	srand(time(NULL));
}

/* Generates a random f64 through [0, 1). */
f64
random_f64_get(void)
{
	return ((f64)rand() / (f64)RAND_MAX);
}

/* Generates a random s32 through [_x, _y]. */
s32
random_s32_in_range_get(s32 _x, s32 _y)
{
        return (s32)((random_f64_get() * (_y - _x + 1)) + _x);
}

/* Generates a random f64 through [_x, _y]. */
f64
random_f64_in_range_get(f64 _x, f64 _y)
{
        return (f64)((random_f64_get() * (_y - _x + 1)) + _x);
}
